import { ClientBase, Pool } from "pg";
import { Storage } from "umzug";
export interface PGStorageConfiguration {
    tableName: string;
    columnName: string;
}
export declare class PGStorage implements Storage {
    private readonly db;
    private readonly config;
    private tableCreated;
    constructor(db: ClientBase, partialConfig?: Partial<PGStorageConfiguration>);
    executed(): Promise<string[]>;
    logMigration(migrationName: string): Promise<void>;
    unlogMigration(migrationName: string): Promise<void>;
    private createTable;
}
export declare function migrateInTransaction<T>(db: Pool | ClientBase, cb: (db: ClientBase) => Promise<T>): Promise<T>;
//# sourceMappingURL=index.d.ts.map